<?php
/**
 * @Packge     : Metize
 * @Version    : 1.0
 * @Author     : Metize
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */

    // Block direct access
    if( !defined( 'ABSPATH' ) ){
        exit();
    }

    if( class_exists( 'ReduxFramework' ) ) {
        $metize404title        = metize_opt( 'metize_fof_title' );
        $metize404subtitle     = metize_opt( 'metize_fof_subtitle' );
        $metize404description  = metize_opt( 'metize_fof_description' );
        $metize404btntext      = metize_opt( 'metize_fof_btn_text' );
        $metize_404_left_bg    = metize_opt( 'metize_404_left_bg','url' );
        $metize_404_right_bg   = metize_opt( 'metize_404_right_bg','url' );

    } else {
        $metize404title        = __( '404', 'metize' );
        $metize404subtitle     = __( 'Oops! That page can’t be found', 'metize' );
        $metize404description  = __( 'Sorry, but the page you are looking for does not existing', 'metize' );
        $metize404btntext      = __( ' Back To Home', 'metize');    
        $metize_404_left_bg    = ''.METIZE_DIR_ASSIST_URI.'img/44-left.png';    
        $metize_404_right_bg   = ''.METIZE_DIR_ASSIST_URI.'img/44-right.png';   
    }


    // get header
    get_header();

    echo '<div class="error-page-area default-padding text-center">';
        echo '<!-- Shape -->';
        echo '<div class="shape-left" style="background: url('.esc_url( $metize_404_left_bg ).');"></div>';
        echo '<div class="shape-right" style="background: url('.esc_url( $metize_404_right_bg ).');"></div>';
        echo '<!-- End Shape -->';
        echo '<div class="container">';
            echo '<div class="error-box">';
                echo '<div class="row">';
                    echo '<div class="col-lg-8 offset-lg-2">';
                        echo '<h1>'.esc_html( $metize404title ).'</h1>';
                        echo '<h2>'.esc_html( $metize404subtitle ).'</h2>';
                        echo '<p>'.esc_html( $metize404description ).'</p>';
                        echo '<a class="btn mt-20 btn-md btn-theme" href="'.esc_url( home_url('/') ).'">'.esc_html( $metize404btntext ).'</a>';
                    echo '</div>';
                echo '</div>';
           echo ' </div>';
        echo '</div>';
    echo '</div>';

    //footer
    get_footer();