<?php
/**
 * @Packge     : Metize
 * @Version    : 1.0
 * @Author     : Metize
 * @Author URI : https://themeforest.net/user/validthemes/portfolio
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }

    if( class_exists( 'ReduxFramework' ) && defined('ELEMENTOR_VERSION') ) {
        if( is_page() || is_page_template('template-builder.php') ) {
            $metize_post_id = get_the_ID();

            // Get the page settings manager
            $metize_page_settings_manager = \Elementor\Core\Settings\Manager::get_settings_managers( 'page' );

            // Get the settings model for current post
            $metize_page_settings_model = $metize_page_settings_manager->get_model( $metize_post_id );

            // Retrieve the color we added before
            $metize_header_style = $metize_page_settings_model->get_settings( 'metize_header_style' );
            $metize_header_builder_option = $metize_page_settings_model->get_settings( 'metize_header_builder_option' );

            if( $metize_header_style == 'header_builder'  ) {

                if( !empty( $metize_header_builder_option ) ) {
                    $metizeheader = get_post( $metize_header_builder_option );
                    echo '<header>';
                        echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $metizeheader->ID );
                    echo '</header>';
                }
            } else {
                // global options
                $metize_header_builder_trigger = metize_opt('metize_header_options');
                if( $metize_header_builder_trigger == '2' ) {
                    echo '<header>';
                    $metize_global_header_select = get_post( metize_opt( 'metize_header_select_options' ) );
                    $header_post = get_post( $metize_global_header_select );
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $header_post->ID );
                    echo '</header>';
                } else {
                    // wordpress Header
                    metize_global_header_option();
                }
            }
        } else {
            $metize_header_options = metize_opt('metize_header_options');
            if( $metize_header_options == '1' ) {
                metize_global_header_option();
            } else {
                $metize_header_select_options = metize_opt('metize_header_select_options');
                $metizeheader = get_post( $metize_header_select_options );
                echo '<header>';
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $metizeheader->ID );
                echo '</header>';
            }
        }
    } else {
        metize_global_header_option();
    }