<?php
/**
 * @Packge     : Metize
 * @Version    : 1.0
 * @Author     : Validthemes
 * @Author URI : https://www.vecurosoft.com/
 *
 */

// Block direct access
if ( ! defined('ABSPATH') ) {
    exit;
}
    // Header
    get_header();

    /**
    *
    * Hook for Blog Start Wrapper
    *
    * Hook metize_blog_start_wrap
    *
    * @Hooked metize_blog_start_wrap_cb 10
    *
    */
    do_action( 'metize_blog_start_wrap' );

    /**
    *
    * Hook for Blog Column Start Wrapper
    *
    * Hook metize_blog_col_start_wrap
    *
    * @Hooked metize_blog_col_start_wrap_cb 10
    *
    */
    do_action( 'metize_blog_col_start_wrap' );

    /**
    * 
    * Hook for Blog Content
    *
    * Hook metize_blog_content
    *
    * @Hooked metize_blog_content_cb 10
    *  
    */
    do_action( 'metize_blog_content' );

    /**
    *
    * Hook for Blog Pagination
    *
    * Hook metize_blog_pagination
    *
    * @Hooked metize_blog_pagination_cb 10
    *
    */
    do_action( 'metize_blog_pagination' );

    /**
    *
    * Hook for Blog Column End Wrapper
    *
    * Hook metize_blog_col_end_wrap
    *
    * @Hooked metize_blog_col_end_wrap_cb 10
    *
    */
    do_action( 'metize_blog_col_end_wrap' );

    /**
    *
    * Hook for Blog Sidebar
    *
    * Hook metize_blog_sidebar
    *
    * @Hooked metize_blog_sidebar_cb 10
    *
    */
    do_action( 'metize_blog_sidebar' );

    /**
    *
    * Hook for Blog End Wrapper
    *
    * Hook metize_blog_end_wrap
    *
    * @Hooked metize_blog_end_wrap_cb 10
    *
    */
    do_action( 'metize_blog_end_wrap' );

    //footer
    get_footer();